#include <p18f4580.h>							/* <...h> verwenden, wenn Pfad unter Project -> Build Options -> Project */
#include <xlcd_02.h>								/* "...h" verwenden, wenn datei in selben Verz wie diese main.c */
#include <delays.h>

#pragma config OSC = HS							/* Oszillatormodus HS */
#pragma config WDT = OFF						/* Watchdog Timer deaktiviert */
#pragma config LVP = OFF						/* lvp deaktiviert */
#pragma config DEBUG = OFF

#define true 	1;
#define false 	0;
#define an 	1;
#define aus 	0;



void init(void);
void HighISR(void);
void LowISR (void);
/****************************************************************************************************************************************************/
/*------------------------------------ Main Funktion  ---------------------------------------------------------------------------------------*/
/****************************************************************************************************************************************************/
void main (void)													
{	
//int counter=0;
//int gesperrt_1 = 0;
//int gesperrt_2 = 0;
//char i[15]="HalloTim";
char i[3] ="12";																
//char r[63]="Ready67812345678ABCDEFGHIJKLMNOPQRSTUVQXYZ11223344556677889900";

ADCON1 = 0b00001111;

TRISB=0b00110000;
TRISD=0b00000000;
TRISA=0b00000000;
TRISC=0b00000000;
LATA = 0x00;
LATB = 0x00;
LATC = 0x00;
LATD = 0x00;

LATDbits.LATD2 = 0;
LATDbits.LATD3 = 0;
LATDbits.LATD1 = 1;

//OpenXLCD(0x20);		/*(4-bit interface, 1 line, 5*7 Pixels) */
//OpenXLCD(0x28);		/*(4-bit interface, 2 lines, 5*7 Pixels) */
//OpenXLCD(0x38);		/*(8-bit interface, 2 lines, 5*7 Pixels) */
//OpenXLCD(0x30);		/*(8-bit interface, 1 line, 5*7 Pixels) */
OpenXLCD(0x2F);			/*(schon probiert: 31,32,33,34,35,36,37,38,39) */
//OpenXLCD(EIGHT_BIT & LINES_5X7); /* =0x3F */
//OpenXLCD(EIGHT_BIT & LINE_5X7);	 /* =0x33 */
//OpenXLCD(EIGHT_BIT & LINE_5X10);	 /* =0x37 */
//putsXLCD(i);



while(1)
{

Nop();

}
}		
/****************************************************************************************************************************************************/
/*------------------------------------ Ende Main Funktion ------------------------------------------------------------------------------------------*/
/****************************************************************************************************************************************************/

/****************************************************************************************************************************************************/
/*------------------------------------ High Interrupt Routine --------------------------------------------------------------------------------------*/
/****************************************************************************************************************************************************/
#pragma code highVector = 0x008										/* High Interrupt Vector steht an Adresse 808 */
void test_at_highVector(void)
{
	_asm goto HighISR _endasm										/* zur High ISR springen */
}

#pragma code  														/* zum ursprnglichen Code zurckkehren */
#pragma interrupt HighISR	//save=PROD								/* C18 V3.01 speichert Programm jetzt automatisch mit nosave=PROD kann das verhindert werden */
void HighISR(void)												/* High Interrupt Service Routine */
{ 


} /*  Ende High Interruptroutine */
/****************************************************************************************************************************************************/
/*----------------------------------- Ende High Interruptroutine -----------------------------------------------------------------------------------*/
/****************************************************************************************************************************************************/

/****************************************************************************************************************************************************/
/*------------------------------------ Low Interrupt Routine ---------------------------------------------------------------------------------------*/
/****************************************************************************************************************************************************/
#pragma code lowVector = 0x018										/* Low Interrupt Vector steht an der Adresse 818 */
void lowVector(void)
{
	_asm goto LowISR _endasm										/* zur Low ISR springen */
}
#pragma code  														/* zum ursprnglichen Code zurckkehren */
#pragma interruptlow LowISR //save=PROD  							/* C18 V3.01 speichert Programm jetzt automatisch mit nosave=PROD kann das verhindert werden */
void LowISR (void)												/* Low ISR */
{							

}
/****************************************************************************************************************************************************/
/*------------------------------------ Ende Low Interrupt Routine ----------------------------------------------------------------------------------*/
/****************************************************************************************************************************************************/

